Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.repastdemos.asynchAgents
Class Boss

    java.lang.Object
      uchicago.src.sim.network.DefaultNode
          uchicago.src.sim.network.DefaultDrawableNode
              uchicago.src.repastdemos.asynchAgents.Boss

All Implemented Interfaces:
  Drawable2DGridNode, DrawableNonGridNode, Moveable, NonGridDrawable, Node

Direct Known Subclasses:
  Consultant

    public class Boss

extends DefaultDrawableNode

This class represents the agent who outputs a value based on either exponential or polynomial function for a given input. The employees agents try to guess the boss's output.

Version:
  $Revision: 1.1 $ $Date: 2005/08/12 20:04:57 $
Author:
  Jerry Vos
See Also:
  `Employee`, `Consultant`

Nested Class Summary

Nested classes/interfaces inherited from class uchicago.src.sim.network.DefaultNode
`DefaultNode.OrderedHashMap`

Field Summary
`protected Office` | `office`
`protected AsynchAgentsModel` | `officeSpace`
`protected int` | `tasksAssignedPerTick`

Fields inherited from class uchicago.src.sim.network.DefaultDrawableNode
`item`

Fields inherited from class uchicago.src.sim.network.DefaultNode
`inEdges, inMap, label, outEdges, outMap`

Constructor Summary
`Boss(AsynchAgentsModel officeSpace, Office office)`
`Boss(AsynchAgentsModel officeSpace, Office office, double x, double y)`

Method Summary
`void` | `distributeTasks()` This agents action, its "step" function.
`int` | `getTasksAssignedPerTick()`
`void` | `setTasksAssignedPerTick(int val)`

Methods inherited from class uchicago.src.sim.network.DefaultDrawableNode
`allowResizing, calcSize, contains, draw, getBorderColor, getBorderWidth, getColor, getFont, getHeight, getLabelColor, getNode, getWidth, getX, getY, setBorderColor, setBorderWidth, setColor, setDrawable, setDrawableNoCopy, setFont, setHeight, setLabelColor, setNodeLabel, setWidth, setX, setX, setY, setY`

Methods inherited from class uchicago.src.sim.network.DefaultNode
`addInEdge, addInEdges, addOutEdge, addOutEdges, clearInEdges, clearOutEdges, getEdgesFrom, getEdgesTo, getFromNodes, getId, getInDegree, getInEdges, getInNodes, getNodeLabel, getNumInEdges, getNumOutEdges, getOutDegree, getOutEdges, getOutNodes, getRandomFromNode, getRandomNodeIn, getRandomNodeOut, getRandomToNode, getToNodes, hasEdgeFrom, hasEdgeTo, hasEdgeToOrFrom, makeRandomInEdge, makeRandomOutEdge, removeEdgesFrom, removeEdgesTo, removeInEdge, removeOutEdge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface uchicago.src.sim.gui.DrawableNonGridNode
`getOutEdges`

Methods inherited from interface uchicago.src.sim.gui.Drawable2DGridNode
`getOutEdges`

Field Detail

### office

    protected Office office

### officeSpace

    protected AsynchAgentsModel officeSpace

### tasksAssignedPerTick

    protected int tasksAssignedPerTick

Constructor Detail

### Boss

    public Boss(AsynchAgentsModel officeSpace,
                Office office,
                double x,
                double y)

### Boss

    public Boss(AsynchAgentsModel officeSpace,
                Office office)

Method Detail

### distributeTasks

    public void distributeTasks()

  This agents action, its "step" function. This assigns tasks to random agents.

### getTasksAssignedPerTick

    public int getTasksAssignedPerTick()

  Returns:
    how many tasks to randomly distribute each tick

### setTasksAssignedPerTick

    public void setTasksAssignedPerTick(int val)

  Parameters:
    `val` - how many tasks to randomly distribute each tick

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD